<?php

/*
 Plugin Name: DeMomentSomTres Debug
 Plugin URI: https://www.demomentsomtres.com/en/wordpress-plugins/demomentsomtres-debug/
 Description: Debuging for WordPress
 Version: 2.0
 Author: marcqueralt
 Author URI: https://www.demomentsomtres.com
 License: GPLv2 or later
 */

$dms3Debug = new DeMomentSomTres_Debug();

class DeMomentSomTres_Debug {

    const MENU_SLUG = 'dmst_debug';
    const OPTIONS = 'dmst_debug_options';

    private $pluginURL;
    private $pluginPath;
    private $langDir;

    function __construct() {
        $this -> pluginURL = plugin_dir_url(__FILE__);
        $this -> pluginPath = plugin_dir_path(__FILE__);
        $this -> langDir = dirname(plugin_basename(__FILE__)) . '/languages';

        add_action('plugins_loaded', array($this, 'plugin_init'));
    }

    function plugin_init() {
        load_plugin_textdomain('dms3-debug', false, $this -> langDir);
        error_reporting(E_ALL);
        ini_set('display_errors', 1);
        ini_set('log_errors', 1);
        ini_set('error_log', WP_CONTENT_DIR . '/debug.log');
    }

}
